mb_ereg_search_setpos
mb_ereg
Multibyte String Funktionen
PHP Manual

# mb_ereg_search

(PHP 4 >= 4.2.0, PHP 5)

mb_ereg_search — Multibyte regular expression match for predefined multibyte string

### Beschreibung

bool mb_ereg_search ([ string `$pattern` [, string `$option` ]] )

Performs a multibyte regular expression match for a predefined multibyte string.

### Parameter-Liste

`pattern`

  The search pattern.

`option`

  The search option.

### Rückgabewerte

mb_ereg_search() returns `TRUE` if the multibyte string matches with the regular expression, or `FALSE` otherwise. The string for matching is set by mb_ereg_search_init(). If `pattern` is not specified, the previous one is used.

### Anmerkungen

> Hinweis: Das interne Encoding oder das mit mb_regex_encoding() festgelegte Zeichenencoding wird als Zeichenencoding für diese Funktion genutzt.

### Siehe auch

- mb_regex_encoding()
- mb_ereg_search_init()

mb_ereg_search_setpos
mb_ereg
Multibyte String Funktionen
PHP Manual